body {
    font-family: 'Poppins', sans-serif;
    font-size: 16px;
    padding: 0;
    margin: 0;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

.container {
   max-width: 800px;
   margin: 5rem auto 1rem;
}

/* Form */
form {
    display: flex;
    align-items: center;
}
.form__input {
    flex: 1;
    border: 1px solid gainsboro;
    padding: 8px 16px;
}
.form__input:focus-visible {
    outline: none;
}
.form__btn {
    background-color:#28a745;
    color: white;
    font-size: 13px;
    font-weight: bold;
    text-transform: uppercase;
    border: none;
    padding: 0 16px;
}
.form__input, 
.form__btn {
    font-family: inherit;
    font-size: 1rem;
    height: 40px;
    border-radius: 0;
}

/* List */
.list__heading {
    text-align: center;
}
.list__nav {
    display: flex;
}
.list__btn {
    font-size: 13px;
    text-transform: uppercase;
    flex: 1;
    border: 1px solid gainsboro;
    padding: 1rem;
}
.list__btn:hover {
    background-color: gainsboro;
}


/* Todo List */
.todo__list {
    list-style-type: none;
    padding: 0;
    margin: 0;
}
.todo__item {
    display: flex;
    justify-content: space-between;
    font-size: 16px;
    padding: 1rem 0;
}
.todo__action {
    display: flex;
    align-items: center;
}
.todo__btn {
    text-transform: uppercase;
    margin: 0 6px;
}

.icon--danger {
    color: #dc3545;
}
.icon--primary {
    color: #007bff;
}
.icon--success {
    color: #28a745;
}

@media (min-width: 576px) {

}

@media (min-width: 768px) {

}

@media (min-width: 992px) {

}

@media (min-width: 1200px) {

}